﻿body {
}

.window-content-wrapper {
    min-height: 300px;
    max-width: 260px;
}

.message-window-content-wrapper {
    height: 260px;
    max-width: 300px;
}

.phone-request-window-content {
    max-height: 300px;
    overflow: auto;
}

.popup-bar {
    padding: 7px;
    cursor: pointer;
    background-color: #286393;
    width: 270px;
    color: #fff;
}

.profile-circle {
    position: relative;
}

.bar-text {
    font-size: 14px;
    font-weight: 500;
}

.bar-text, .flex-fill {
    display: flex;
    justify-content: space-between;
}

.online-circle {
    width: 10px;
    height: 10px;
    background-color: #0F0;
    position: absolute;
    right: 0;
    border-radius: 8px;
    top: 0;
    border: 2px solid #fff;
}

.designation2 {
    font-size: 13px;
    color: #999;
    margin-top: -5px;
}

.name-wrapper {
    margin-left: 9px;
}

.message-bar-wrapper {
    border-bottom: 1px solid #ebebeb;
    padding: 5px;
    cursor: pointer;
    transition: all 0.1s ease;
}

.message-bar-wrapper:hover {
    background-color: #f3f3f3;
}

.message-name {
    font-size: 13px;
    font-weight: 600;
    line-height: 30px;
}

.flex-fill {
    padding: 2px 7px;
}

.window-content {
    max-height: 200px;
    overflow: auto;
}

.request-box {
    background: #fff;
    margin: 0.8rem;
    border-radius: 0.25rem;
}

    .request-box .dropdown-menu {
        background: #ddd;
        box-shadow: 1px 5px 10px rgba(0,0,0,.2);
    }

.request-body div:nth-child(1) {
    font-weight: bold;
}

.request-table-container .card-header, .search-card {
    display: flex;
    justify-content: space-between;
}

.card-header {
    padding: .5rem 1.25rem;
}

.drop-down {
    background-color: #FFF;
    padding: 5px;
    position: relative;
}

#requests-quick-search .form-group {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.user-search {
    background-color: #FFF;
    padding: 5px;
    position: relative;
}

.user-search input {
    border: 1px solid #ddd;
    background-color: #FFF;
    width: 80%;
    padding: 6px;
    font-size: 13px;
    font-weight: 500;
}

.user-search button {
    border: 1px solid #ddd;
    background-color: #FFF;
    padding: 6px;
    width: 15%;
    font-size: 13px;
    font-weight: 500;
}

.user-search input::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #999;
    font-size: 13px;
    padding-left: 5px;
}

.new-message-noti, .new-message-noti-2 {
    height: 25px;
    width: 25px;
    border-radius: 50%;
    color: #FFF;
    font-size: 11px;
    text-align: center;
    font-weight: 600;
    margin-right: 10px;
    padding-top: 4px;
    padding-right: 1px;
}

.new-message-noti {
    background-color: #09C;
}

.new-message-noti-2 {
    background-color: red;
    margin-top: -15px;
    margin-left: -15px;
}

.window-main {
    width: 300px;
    position: fixed;
    right: 320px;
    bottom: 0;
    background: #fff;
}

.window-main, .messaging-tab, .popup-bar, .phone-request-chat-box, .sub-window-header {
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

.sub-window-header {
    background-color: #286393;
    color: #fff;
    padding: 7px;
}

.sub-window-body {
    background-color: #fff;
    max-height: 278px;
    overflow: auto;
}

.online-circle-two {
    width: 8px;
    height: 8px;
    background-color: #0F0;
    border-radius: 8px;
    float: left;
    margin-top: 4px;
    margin-right: 5px;
}

.active-now2 {
    font-size: 12px;
}

.window-message-text {
    margin-left: 10px;
}

    .window-message-text p {
        font-size: 13px;
        line-height: 19px;
        margin: 0;
        padding: 0;
    }

    .window-message-text span {
        font-size: 12px;
    }

.message-bar-new {
    padding: 5px 0;
    border-bottom: 1px solid #ebebeb;
}

.sub-window-textarea textarea {
    border: 1px solid #fff;
    height: 100px;
    width: 100%;
    padding: 10px;
    outline: none;
    font-size: 14px;
}

.bar-bottom-message {
    padding: 7px;
    background-color: #eee;
}

.close-window-icon {
    cursor: pointer;
}

.phone-request-chat-box {
    position: fixed;
    bottom: 0;
    background: #eee;
    font-size: 14px;
    z-index: 100;
}

.phone-req-date {
    font-size: 11px;
}

input::-webkit-calendar-picker-indicator {
    display: none;
}

.alert-icon {
    color: red;
}

.iti__flag {
    background-image: url("../intl-tel-input/img/flags.png");
}
.blazored-modal {
    background: #f5f5f5 !important;
}
.blazored-modal-overlay {
    background-color: rgba(0,0,0,0.9) !important;
}
.blazored-modal-header {
    padding-bottom: 0.5rem !important;
}
.match-modal_footer {
    border-top: 0;
    padding: 0;
}

    .match-modal .card-header {
        border-bottom: none;
        display: flex;
        flex-direction: column;
    }

.match-modal .table tr {
    cursor: pointer;
}

.match-modal .my_form-control {
    background-color: rgba(66,165,245,.1);
}

.match-modal .form-group {
    padding-right: 5px;
    padding-left: 5px
}

input#verify-match {
    margin-top: 0.3rem !important;
}

.messaging-tab {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 100;
    background: #fff;
    width: 270px;
}

.btn:focus {
    outline: none;
    box-shadow: none;
}

.avatar, .avatar-small {
    color: #fff;
    text-align: center;
}

.avatar {
    width: 40px;
    height: 40px;
    padding-top: 5px; 
    font-size: 20px;
}

.text-muted div:nth-child(1) {
    font-weight: bold;
}

.avatar-current-user {
    background: #ec407a;
}

.avatar-other-user, .avatar-small {
    background: #758a98;
}

.avatar-small {
    display: table-cell;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    vertical-align: middle;
}

.media-body .rounded {
    border-radius: 25px !important;
}

    .bg-primary {
        background: #42a5f5 !important;
    }

.btn-msg {
    border-radius: 0 !important;
}

.list-group-item {
    font-weight: bold;
    font-size: 14px;
    color: #42a5f5;
    border-radius: 0;
    border: none;
    border-top: 1px solid #ced4da;
    border-bottom: 1px solid #ced4da;
}

    .list-group-item:first-of-type {
        border-top: none;
    }

    .list-group-item:last-of-type {
        border-bottom: none;
    }

.message-typing {
    padding: 0.3rem 0;
}

.input-send {
    align-items: center;
}

.messages-table-container .card {
    height: 70vh;
}

#messages-div {
    height: 62vh;
    height: calc(70vh - 63px);
}

.date-picker input {
    width: 100%;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
}

    .date-picker input:focus {
        border-color: #80bdff !important;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25) !important;
    }

.table-report {
    color: inherit;
    font-size: 14px;
}

    .table-report td, .table-report th {
        padding: 0.4rem 0;
    }

.ql-container {
    min-height: 400px;
}

.editor-controls {
    display: flex;
    justify-content: space-between;
}

.editor-controls_save button {
    float: right;
    margin-left: 5px;
}

.template-card {
    font-size: 14px;
}

.report-card h1, .report-card h2, .report-card h3,
.report-card h4, .report-card h5, .report-card h6 {
    font-size: 1.1em;
    font-weight: bold;
}

.template-list {
    margin-left: -30px;
}

.template-list, .template-list ul {
    list-style: none;
    font-size: 13px;
    line-height: 1.8;
}

    .template-list button {
        border: 1px solid #999;
        border-radius: 2px !important;
        padding: 2px !important;
        min-width: 16px !important;
        width: 16px;
        height: 16px;
        position: relative;
    }
        .template-list button .oi {
            position: absolute;
            top: 3px;
            right: 3px;
            font-size: 8px;
            color: #999;
        }

        .template-list .oi {
            font-size: 12px;
            margin-left: 5px;
        }

.template-list_names li {
    display: flex;
}

    .template-list_names li input {
        margin-right: 2px;
        margin-top: 3px;
    }

    .template-list_names label {
        margin-bottom: 0;
    }

#requestes-search .my_form-control,
#requestes-search .select2-container--default .select2-selection--multiple {
    background-color: rgba(66,165,245,.1);
}

.form-group {
    position: relative;
    margin-bottom: .5rem;
}

label {
    width: 100%;
    margin-bottom: 0;
}

.my_form-control {
    width: 100%;
    padding: 8px 5px;
    border: none;
    border-bottom: 1pt solid #bfbfbf;
    transition: all 200ms ease-in-out;
    font-size: 13px;
}

.highlight-card-title {
    font-size: 1.25rem;
}

.select2 {
    width: 100% !important;
}

.select2-container--default .select2-selection--multiple {
    margin-right: 25px !important;
    border-radius: 0 !important;
    border: none !important;
    width: 100% !important;
    border-bottom: 1pt solid #bfbfbf !important;
    transition: all 200ms ease-in-out;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #fff !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #42a5f5 !important;
    border: 1px solid #42a5f5 !important;
    color: #fff;
    font-size: 13px;
}

.select2-results__options {
    font-size: 14px;
}

.select2-selection--multiple:before {
    content: "\2039";
    position: absolute;
    right: 7px;
    top: 10%;
    font-size: 20px;
    font-weight: bold;
    transform: rotate(-90deg);
    color: #333;
}

.my_form-control:focus, .select2-selection--multiple:focus {
    width: 100%;
    border: none;
    border-bottom: 2px solid #42a5f5;
    outline: none;
}

input:focus ~ .my_place,
input:not(:focus):valid ~ .my_place {
    top: -6px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin-top: 8px !important;
}

.info-tips .dropdown-menu {
    padding: 10px 25px;
    width: 330px;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.7;
    color: #666;
    list-style-type: square;
}

.urgent-icon {
    color: red;
}

.system-cards {
    text-align: center;
    color: #42a5f5;
    width: 100%;
    padding-right: 6rem;
}

    .system-cards .card-container {
        width: 20%;
        padding: 0.9rem;
    }

    .system-cards .card {
        width: 100%;
        min-height: 150px;
        padding: 2.2rem 1rem;
    }

    .system-cards .oi {
        font-size: 2rem;
        margin-bottom: 1rem;
    }

    .system-cards a {
        font-size: 0.9rem;
        text-transform: capitalize;
    }

.system-table .oi {
    color: #42a5f5;
    font-size: 18px;
}

.account-card {
    font-size: 15px;
}

.kpi-card div, .kpi-card p, .priority-msg {
    font-size: 14px;
}

.dropdown-menu .oi, .dropdown-item {
    color: #666;
}

    .dropdown-item:focus, .dropdown-item:hover {
        background-color: #e9e9e9;
    }

#context-menu {
    z-index: 99 !important;
}

.report-card_previous {
    max-height: 48.5%;
}

.report-content {
    max-height: 100%;
    overflow-y: auto;
}

.edit-order-btn {
    padding: 8px 5px;
    font-size: 13px;
    width: 100%;
}
.edit-order-controls {
    margin-top: 2rem;
}

.bg-modal {
    height: 60vh;
    width: 90vw;
}

.template-modal {
    width: 90vw;
    height: 80vh;
    margin: 5% auto;
}

.bg-modal .scroll {
    height: 100%;
    overflow-y: scroll;
}

.template-container, .template-container .input-group {
    max-height: 600px;
}

.template-container {
    margin: 0 15px;
}

    .template-container .input-group {
        overflow-y: auto;
    }

    .bg-modal li {
        cursor: pointer;
    }
    .bg-modal li:hover, .bg-modal li:hover {
        background: #eee;
    }
.none {
    display: none;
}
.block {
    display: block;
}

.create-btn {
    padding: 0;
}

.blazored-toast-container, .blazored-toast {
    z-index: 100 !important;
}
.btn-outline-primary.active {
    background: #42a5f5 !important;
    border-color: #42a5f5 !important;
    outline: none;
}

.blazored-modal {
    max-height: 80vh;
    overflow-y: scroll;
}

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .iti__flag {
        background-image: url("../intl-tel-input/img//flags@2x.png");
    }
}

@media (max-width: 1500px) {
    .system-cards {
        padding-right: 0;
    }
    .system-cards .card {
        min-height: 170px;
    }
}

@media (max-width: 765px) {
    .messages-table-container .card {
        height: auto;
    }
    .system-cards .card-container {
        width: 50%;
        padding: 0.5rem;
    }
}

@media (max-width: 510px) {
    .editor-controls {
        flex-flow: column;
    }
}

.phone-request-badge-position {
    position: absolute;
    top: 6px;
}

.no-phone-request {
    margin-top: 40%;
    text-align: center;
}

.note-area {
    min-width: 600px;
    min-height: 200px
}

.blazored-modal-overlay {
    background-color: rgba(0,0,0,.9) !important;
}

.oi-pencil, .oi-trash, .oi-eye, .oi-calendar, .oi-sort-descending, .oi-loop-circular {
    cursor: pointer;
}

    .oi-pencil:hover, .oi-trash:hover, .oi-eye:hover,
    .oi-calendar:hover, .oi-sort-descending:hover, .oi-loop-circular:hover {
        color: #286393;
    }

.note-content {
    max-height: 250px;
    overflow: auto;
}

.clinical-info-content {
    max-height: 150px;
    overflow: auto;
}

.fixed-table {
    table-layout: fixed;
}

.medium-width {
    max-width: 500px;
}

.table-cell-small {
    min-width: 70px;
    max-width: 70px;
}

.table-cell-medium {
    min-width: 100px;
    max-width: 100px;
}

.table-cell-large {
    min-width: 130px;
    max-width: 130px;
}

.tablebody-scroll {
    display: block;
    overflow: auto;
    max-height: 600px;
}